Bug 2681 - please add my german dvorak keymap
Summary: please add my german dvorak keymap
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: high enhancement
Assignee: xkb
QA Contact:
URL: http://www-lehre.informatik.uni-osnab...
Whiteboard:
Keywords: l10n
Depends on:
Blocks:
 
Reported: 2005-03-09 02:57 UTC by Thorsten Staerk
Modified: 2006-12-26 11:23 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
german dvorak keymap (6.46 KB, text/plain)
2005-03-09 02:58 UTC, Thorsten Staerk
Details
xkbmap containing german dvorak kbd layout (11.91 KB, text/x-objcsrc)
2005-03-09 10:48 UTC, Thorsten Staerk
Details
final proposal for german dvorak xkb map (13.67 KB, text/x-objcsrc)
2005-03-09 14:48 UTC, Thorsten Staerk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Staerk 2005-03-09 02:57:02 UTC
please add my german dvorak keyboard layout to your distribution. I attach it 
here.
Comment 1 Thorsten Staerk 2005-03-09 02:58:14 UTC
Created attachment 2059 [details]
german dvorak keymap
Comment 2 Sergey V. Udaltsov 2005-03-09 07:59:15 UTC
So far, xkeyboard-config included ONLY XKB files - not xmodmap ones. But there
is a plot to store xmodmap repository as well. Once I start it - I will
definitely include your file. Thanks.
Comment 3 Thorsten Staerk 2005-03-09 10:48:04 UTC
Created attachment 2063 [details]
xkbmap containing german dvorak kbd layout

please tell me if you can use this, I can make it final then quickly
Comment 4 Thorsten Staerk 2005-03-09 14:48:57 UTC
Created attachment 2066 [details]
final proposal for german dvorak xkb map

please tell me if you publish it, would be happy :-)
Comment 5 Thorsten Staerk 2005-04-02 14:35:57 UTC
give me a CVS account and the address of the maintainer, and I can add it 
myself... 
Comment 6 Sergey V. Udaltsov 2005-04-02 14:55:00 UTC
Now, this file is XKB-compatible. So I am considering for committing it ASAP.
Comment 7 Sergey V. Udaltsov 2005-04-02 14:57:57 UTC
The only thing, in xkeyboard-config, there is no more "dvorak" file. So your
"dvorak(de)" is going to become "de(dvorak)"
Comment 8 Sergey V. Udaltsov 2005-04-02 15:13:41 UTC
Fixed in xkeyboard-config CVS.
Comment 9 Hanno Böck 2005-05-28 18:28:37 UTC
As it seems there is a big chaos about german dvorak layouts, I wanted to ask 
you which variant your layout uses and if it makes sense to add a german 
dvorak-layout to xorg as long as there are dozends of variants out there (I 
found at least three differend layouts calling themselve german dvorak type 2). 
Comment 10 Thorsten Staerk 2005-05-28 23:45:10 UTC
as opposed to an individual solution, a standard is a united solution ;-) 
This is the most often used and at the same time the best german dvorak layout. 
I pledge for sticking to ONE german dvorak layout. If you want any changes in 
this layout, just ask for them instead of starting a new standard ;-) 
Comment 11 Thorsten Staerk 2005-10-07 14:21:40 UTC
now that we no longer have a dvorak(de) layout, but a de(dvorak) layout, 
someone has migrated my lines. Thanks. But now, the alt_gr key no longer works, 
because de(dvorak) is based on us(dvorak) that does not have alt_gr. This is 
because of a now-missing line  
 
    include "level3(ralt_switch)" 
 
please add this to the german keyboard layout. 
 
Comment 12 Sergey V. Udaltsov 2005-10-07 14:37:38 UTC
> please add this to the german keyboard layout. 
committed
Comment 13 Thorsten Staerk 2006-04-29 18:41:53 UTC
according to 
http://webcvs.freedesktop.org/xorg/data/xkbdata/symbols/pc/de?rev=1.4&view=markup
this is not committed. Or am I wrong ?
Comment 14 Sergey V. Udaltsov 2006-04-30 02:14:14 UTC
xkbdata is obsolete. Have a look at xkeyboard-config.

(In reply to comment #13)
> according to 
> http://webcvs.freedesktop.org/xorg/data/xkbdata/symbols/pc/de?rev=1.4&view=markup
> this is not committed. Or am I wrong ?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.